Package ru.bitel.bgbilling.plugins.dispatch.common.bean

# Class DispatchMessage

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.plugins.dispatch.common.bean.DispatchMessage

All Implemented Interfaces:
  `java.io.Serializable`, `GuiTitlable`, `Idable`, `ListItem`

Direct Known Subclasses:
  `CustomDispatchMessage`

    public class DispatchMessage
    extends IdTitle

Сообщение из рассылки.

See Also:
  Serialized Form

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `protected java.lang.String` | `messageBody` |

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `DispatchMessage()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.util.Date` | `getCreateDate()` | Возвращает дату создания
  `int` | `getDispatchId()` | Возвращает код рассылки сообщения
  `java.lang.String` | `getMessageBody()` | Возвращает тело сообщения
  `java.util.Date` | `getSendDate()` | Возвращает дату отправки
  `boolean` | `isSent()` | Проверяет, отправлено ли сообщение
  `void` | `setCreateDate​(java.util.Date createDate)` | Устанавливает дату создания
  `void` | `setDispatchId​(int dispatchId)` | Устанавливает код рассылки сообщения
  `void` | `setMessageBody​(java.lang.String messageBody)` | Устанавливает текст тела сообщения
  `void` | `setSendDate​(java.util.Date sendDate)` | Устанавливает дату отправки
  `void` | `setSent​(boolean sent)` | Устанавливает факт отправки сообщения

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setTitle, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Field Details

  - ### messageBody

    protected java.lang.String messageBody

- ## Constructor Details

  - ### DispatchMessage

    public DispatchMessage()

- ## Method Details

  - ### getMessageBody

    public java.lang.String getMessageBody()
    Возвращает тело сообщения
    Returns:

  - ### setMessageBody

    public void setMessageBody​(java.lang.String messageBody)
    Устанавливает текст тела сообщения
    Parameters:
      `messageBody` -

  - ### getSendDate

    public java.util.Date getSendDate()
    Возвращает дату отправки
    Returns:

  - ### setSendDate

    public void setSendDate​(java.util.Date sendDate)
    Устанавливает дату отправки
    Parameters:
      `sendDate` -

  - ### setCreateDate

    public void setCreateDate​(java.util.Date createDate)
    Устанавливает дату создания
    Parameters:
      `createDate` -

  - ### getCreateDate

    public java.util.Date getCreateDate()
    Возвращает дату создания
    Returns:

  - ### setSent

    public void setSent​(boolean sent)
    Устанавливает факт отправки сообщения
    Parameters:
      `sent` -

  - ### isSent

    public boolean isSent()
    Проверяет, отправлено ли сообщение
    Returns:

  - ### setDispatchId

    public void setDispatchId​(int dispatchId)
    Устанавливает код рассылки сообщения
    Parameters:
      `dispatchId` -

  - ### getDispatchId

    public int getDispatchId()
    Возвращает код рассылки сообщения
    Returns: